list = [1,2,0,5]
print(list)
list.append(9)#Добавление к массиву
print(list)
list.extend([0,13])#Добавление к массиву
print(list)
list.insert(0, 4) #Добавляем к массиву на нулевой индекс 4
print(list)
print("------------")

print(list.index(0))# поиск индекса 0 = 3
print(list.index(0, 4))
#print(list.index('a'))
print(list.count(0)) #считает количество 0 в листе
list.reverse() # развернуть лист
print(list)
print("------------")


list.remove(9)
print(list)
list.pop(2)# убираем число в листе с индексов 2
print(list)
list.clear() # Убираем полностью лист
print(list)
print("------------")

list = [1, 3, 0, 5, 1]
list.sort()#Операция сортирующая лист
print(list)
print("------------")
print("------------")
print("------------")
print("------------")
n = int(input('Количество элементов: '))
print([int(input('Введите число N: ')) for i in range(n)])

#1) Попросите пользователя указать, какое количество элементов надо создать в списке.
#2) Сделайте цикл на соответствующее число итераций, в каждой из которых просите пользователя ввести число в таком формате: «Введите число N:», где N – текущий номер числа.
#3) Добавляйте каждое это число в список.
#4) По завершению цикла выведите получившийся список.
